Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
file = client.beta.files.retrieve(
"file_id",
)
print(file.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
file, err := client.Beta.Files.Get(context.TODO(), "file_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", file.ID)
}curl --request GET \
--url https://api.egp.scale.com/v4/beta/files/{file_id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v4/beta/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"size": 123,
"md5_checksum": "<string>",
"filename": "<string>",
"mime_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "<string>",
"object": "identity"
},
"object": "file",
"tags": {},
"duration_seconds": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Beta
Get File
GET
/
v4
/
beta
/
files
/
{file_id}
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
file = client.beta.files.retrieve(
"file_id",
)
print(file.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
file, err := client.Beta.Files.Get(context.TODO(), "file_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", file.ID)
}Authorizations
Headers
Path Parameters
Response
Successful Response
The identity that created the entity.
Show child attributes
Show child attributes
Allowed value:
"file"⌘I

